Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## base
Class XMLHandler

    java.lang.Object
      base.XMLHandler

    public class XMLHandler

extends java.lang.Object

Constructor Summary
`XMLHandler()`

Method Summary
`static void` | `createConfig()` Metoda na vyrvorenie configuracneho suboru config.xml
`static java.lang.String` | `docToString(java.lang.String doc)` Metoda ktora dany dokument naformatuje do stringu
`static void` | `loadConfig()` Metoda ktora nacita konfiguracny subor
`static org.jdom.Document` | `readDocument(java.lang.String path)` Metoda ktora nacita dokument z daneho URL
`static void` | `writeFromString(java.lang.String string)` Zápis stringu do suboru

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLHandler

    public XMLHandler()

Method Detail

### readDocument

    public static org.jdom.Document readDocument(java.lang.String path)
                                          throws java.lang.Exception

  Metoda ktora nacita dokument z daneho URL

  Parameters:
    `url` - cesta k dokumentu
  Returns:
    vracia xml dokument
  Throws:
    `org.dom4j.DocumentException` - - ked je problem s dokumentom
    `java.lang.Exception`

### docToString

    public static java.lang.String docToString(java.lang.String doc)

  Metoda ktora dany dokument naformatuje do stringu

  Parameters:
    `doc` - dokument z ktoreho sa nacitava
  Returns:
    string ktory obsahuje naformatovany dokument

### writeFromString

    public static void writeFromString(java.lang.String string)
                                throws java.io.IOException

  Zápis stringu do suboru

  Parameters:
    `string` - string nacitany z okna
  Throws:
    `java.io.IOException`

### createConfig

    public static void createConfig()
                             throws java.io.IOException

  Metoda na vyrvorenie configuracneho suboru config.xml

  Throws:
    `java.io.IOException`

### loadConfig

    public static void loadConfig()
                           throws org.dom4j.DocumentException

  Metoda ktora nacita konfiguracny subor

  Throws:
    `org.dom4j.DocumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD